IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'NewVote' 
	   AND 	  type = 'P')
	DROP PROCEDURE NewVote
GO

CREATE PROCEDURE NewVote
@VoteSystemId int,
@VoteName varchar(100),
@Score int,
@Comment varchar(1000)
AS

if not exists (select * from VOTE where VoteSystemId = @VoteSystemId and VoteName = @VoteName)
	INSERT INTO VOTE (VoteSystemId, VoteName, Score, Comment) 
	VALUES (@VoteSystemId, @VoteName, @Score, @Comment)
else
	UPDATE VOTE SET Score = @Score, Comment = @Comment WHERE VoteSystemId = @VoteSystemId and VoteName = @VoteName
GO